summaryrefslogtreecommitdiff
path: root/tests/cert-tests/othername-test
diff options
context:
space:
mode:
authorAlon Bar-Lev <alon.barlev@gmail.com>2017-01-05 10:34:07 +0200
committerAlon Bar-Lev <alon.barlev@gmail.com>2017-01-05 11:16:38 +0200
commit98e49e9d0727d93a58b336dac0a78ce74558e8c8 (patch)
tree61653d08a7243ce4cd40f7f97efdd6c2e06b054d /tests/cert-tests/othername-test
parent2c55e6b554a3d30ee92b37aae02536794fd5cac1 (diff)
downloadgnutls-98e49e9d0727d93a58b336dac0a78ce74558e8c8.tar.gz
tests: skip tests that requires tools if tools are disabled
building with --disable-tools should not cause test failure. Signed-off-by: Alon Bar-Lev <alon.barlev@gmail.com>
Diffstat (limited to 'tests/cert-tests/othername-test')
-rwxr-xr-xtests/cert-tests/othername-test4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/cert-tests/othername-test b/tests/cert-tests/othername-test
index 8741b0f52e..38032fee1c 100755
--- a/tests/cert-tests/othername-test
+++ b/tests/cert-tests/othername-test
@@ -25,6 +25,10 @@ CERTTOOL="${CERTTOOL:-../../src/certtool${EXEEXT}}"
DIFF="${DIFF:-diff}"
OUTFILE=tmp-othername.pem
+if ! test -x "${CERTTOOL}"; then
+ exit 77
+fi
+
export TZ="UTC"
. ${srcdir}/../scripts/common.sh